Subject: Re: [CDNi] Two additional definitions for cdni-framework

From: Francois Le Faucheur <[email-masked]>
Date: Tue, 19 Jun 2012 11:18:53 -0700

Hello Oskar,

Some early thoughts (as an individual):

> 
> -----Original Message-----
> From: Deventer, M.O. (Oskar) van 
> Sent: maandag 11 juni 2012 9:24
> To: [email-masked]
> Subject: RE: [CDNi] Two additional definitions for cdni-framework
> 
> Dear all,
> 
> Here are the main points from my previous email, summarized for easy reading. 
> 1) Proposal to define "upstream" and "downstream" in terms of distribution, instead of redirection.

Not sure there is a problem with the current definition.
I would see a number of problems with trying to define uCDN/dCDN based on the distribution flow e.g.  while the content would typically flow from the uCDN to the dCDN, this will not always be the case. ie a dCDN may acquire the content from somewhere else than the uCDN (eg CSP, another CDN)

> 2) Proposal to reduce the number of CDNi interfaces to two (c.f. ETSI approach).

I don't think we need and want to redefine our set of CDNI interfaces at this stage. 

> 3) Proposal for a more strict definition of Content Item (see ETSI definition).

I'll have to look at the proposed alternative definition. I suggest you look at the terminology introduced in draft-brandeburg-cdni-has for segemnted content.

Francois

> 4) Proposal to distinguish logging ("recording event ...") from reporting ("providing access to recorded events ..."). 
> Arguments: see my previous email below.
> 
> These proposals would impact (at least) the following documents http://tools.ietf.org/wg/cdni/draft-ietf-cdni-problem-statement/
> http://tools.ietf.org/wg/cdni/draft-ietf-cdni-framework/
> 
> Best regards,
> 
> Oskar